// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2022
//                www.magicbane.com


package engine.net.client;

import engine.net.AbstractConnection;
import engine.net.AbstractConnectionManager;

import java.io.IOException;
import java.net.InetAddress;
import java.nio.channels.SocketChannel;

public class ClientConnectionManager extends AbstractConnectionManager {

    public ClientConnectionManager(String threadName, InetAddress hostAddress, int port)
            throws IOException {
        super(threadName, hostAddress, port);
    }

    @Override
    protected AbstractConnection getNewIncomingConnection(SocketChannel sockChan) {
        return new ClientConnection(this, sockChan);
    }

    @Override
    protected AbstractConnection getNewOutgoingConnection(SocketChannel sockChan) {
        return new ClientConnection(this, sockChan);
    }
}
